mysql

15 posts / 0 new
Last post
n3meq
n3meq's picture
mysql

I have upgraded to Ubuntu 20.04 and can not open cqrlog database. any help would be appreciated

ok1dtm
mariadb

Without problem with 20.04 here. BEFORE installation Cqrlog I install mariadb-server.

n3meq
n3meq's picture
errors

E: Unable to correct problems, you have held broken packages.
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
E: Unable to correct dependencies
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
E: Unable to correct dependencies

n3meq
n3meq's picture
errors

do I need to remove cqrlog before install of mariadb server ?

KF4DRR
I had a similar issue, try

I had a similar issue, try running

sudo apt install cqrlog libmariadb3 libmariadb-dev mariadb-common mariadb-server

see this thread:

https://www.cqrlog.com/node/2368

n3meq
n3meq's picture
errors

I get held or broken packages how do I resolve this ? any help

n3meq
n3meq's picture
Thank you

This resolved my issues. All working well again
73 Stay Safe
Dave,N3MEQ

VE4PER
I ran into similar errors upgrading to 20.04LTS

In the end I trashed the Hard drive and reinstalled 20.04 LTS from scratch new install. hen added apache2 and php. Then installed /mysql/mariadb; gave root user in mysql a pw { have to use 'sudo mysql -u root -p' to open it up in terminal to set root pw, then created a 2nd admin user as well as a user and pw that was needed to run wx station db. ) I then installed phpmyadmin and used he created 2nd admin user to login using the phpmyadmin GUI. The wx station s/w install process created the database and tables because the proper user and PW were in ahead of time.
I then installed CQRLOG removing the check mark from local machine had to login with my 2nd mysql admin user creds and the CQRLOG then created the database and tables. I saw somewhere that a userID of CQRLOG and PW of cqrlog was needed but that user didnt get access.
I could not find a clear document to use a specific userID and PW and/or db name to use in the install process. So I can't say this would be a reliable fix to offer to others. Maybe if there was a flow diagram to simplify process of using the program and the underlying database it might be clearer. he tables and data cells it creates appears to create more than one database table set coinciding with what is listed on the opening navigator screen. As long as it works I will fumble through but would much rather understand what it is doing under the hood as it were. FWIW 73 Gud DX and stay safe

Cheers, 73 & Good DX

oh1kh
I ran into similar errors upgrading to 20.04LTS

Hi!

I think here is the simplest way to use DBserver at localhost:3306. Of course this give user cqrlog full power to DB engine. If you have also other usage fro DB then you maybe should limit user cqrlog access to only cqrlog related tables.

https://www.cqrlog.com/comment/6776#comment-6776

Remeber to do backups! Now when external DB engine is used copying ~/.config/cqrlog does not backup your logs and settings.
You need to do mysqldump from database to get full backup.
https://www.cqrlog.com/comment/8378#comment-8378

Instead of command line I often use Webmin tool. It is very handy browser based tool not just for databases, but whole PC maintenance. Works for remote PCs, too.
http://www.webmin.com

--
Saku
OH1KH

w3bx
new install on Ubuntu 20.04

I am building a new computer for use in my shack under Ubuntu 20.04. I've got flrig, fldigi, and wjst-x running. I'm trying to get cqrlog going too, but I get an error opening database, then the mysql 'database problem' window opens. I think I did the install improperly or not in the correct order. I have never used mysql before. Does anyone have notes for installing cqrlog and all of the other interacting programs: mysql, hamlib, and anything else?

Thanks,
Joe
W3BX

KF4DRR
19.10 issue same as 20.04?

Had an issue also. as you can see in this thread I used the command below to correct it. hope this helps

https://www.cqrlog.com/node/2368

sudo apt install cqrlog libmariadb3 libmariadb-dev mariadb-common mariadb-server

w3bx
Re: 19.10 issue same as 20.04?

Thanks for your help and thanks to VE4PER too. I removed cqrlog and mysql and tried your fix. Now I get a new set of error messages. Please see below. It's looking like cqrlog may be beyond my Linux skills. I had Xlog running on 18.04, but it doesn't seem to be available for 20.04, so I thought I'd try cqrlog. Xlog was a simple logging program that worked fine for me. Anyway, enough whining. I only have time to work on this intermittently. I'm slowly getting better with Linux and I think it fits nicely with the ham radio spirit.

I think my nubie questions are:
What are the cqrlog dependencies?
What order should they be installed?
Has someone made a step-by-step installation guide? (If not, I may document it - assuming I'm successful)

I'm not looking for a lot of options. I'd just like one configuration that's known to work.

Thanks again,
Joe W3BX

jupiter@jupiter-HP-ENVY-17-Notebook-PC:~/Desktop$ sudo apt install cqrlog libmariadb3 libmariadb-dev mariadb-common mariadb-server
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
mariadb-server : Depends: mariadb-server-10.3 (>= 1:10.3.22-1ubuntu1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

dl1mtg
dl1mtg's picture
Re: 19.10 issue same as 20.04?

Hello Joe,

it seems, you have installed cqrlog with mysql and you'd like to change to mariadb.

Please try the following:
sudo apt install cqrlog libmariadb3 libmariadb-dev mariadb-common mariadb-server-10.3 mariadb-client-10.3

Now you get the following hints:
Reading package lists... Done
Building dependency tree
Reading state information... Done
cqrlog is already the newest version (2.4.0-3).
libmariadb-dev is already the newest version (1:10.3.22-1ubuntu1).
libmariadb-dev set to manually installed.
libmariadb3 is already the newest version (1:10.3.22-1ubuntu1).
libmariadb3 set to manually installed.
mariadb-common is already the newest version (1:10.3.22-1ubuntu1).
mariadb-common set to manually installed.
The following packages were automatically installed and are no longer required:
libevent-core-2.1-7 libmecab2 mecab-ipadic mecab-ipadic-utf8 mecab-utils
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
galera-3 gawk libconfig-inifiles-perl libdbd-mysql-perl libdbi-perl libreadline5 libsigsegv2 libsnappy1v5
libterm-readkey-perl mariadb-client-core-10.3 mariadb-server-core-10.3 socat
Suggested packages:
gawk-doc libclone-perl libmldbm-perl libnet-daemon-perl libsql-statement-perl mailx mariadb-test tinyca
The following packages will be REMOVED:
default-mysql-client-core default-mysql-server default-mysql-server-core mysql-client-8.0 mysql-client-core-8.0
mysql-server-8.0 mysql-server-core-8.0
The following NEW packages will be installed:
galera-3 gawk libconfig-inifiles-perl libdbd-mysql-perl libdbi-perl libreadline5 libsigsegv2 libsnappy1v5
libterm-readkey-perl mariadb-client-10.3 mariadb-client-core-10.3 mariadb-server-10.3 mariadb-server-core-10.3 socat
0 upgraded, 14 newly installed, 7 to remove and 26 not upgraded.
Need to get 19,8 MB of archives.
After this operation, 22,2 MB disk space will be freed.
Do you want to continue? [Y/n]

Please answer "Y" and after some package installations cqrlog should be useable again!

Looking forward to hear from you
73 de Martin, DL1MTG

--
73 de Martin, DL1MTG

w3bx
Re: 19.10 issue same as 20.04?

Hi Marin,

That worked. Thanks for your help.

Regards,
Joe.
W3BX

w3bx
Re: 19.10 issue same as 20.04?

Hi Marin,

That worked. Thanks for your help.

Regards,
Joe.
W3BX